Subject: Re: [MMUSIC] Alissa Cooper's Discuss on draft-ietf-mmusic-rfc4566bis-35: (with DISCUSS and COMMENT)

From: Alissa Cooper <[email-masked]>
Date: Thu, 1 Aug 2019 13:54:33 -0400

Based on some unrelated recent conversations with IANA, I think it is better for all involved to have the explicit instructions in the RFC.

Alissa

> On Jul 24, 2019, at 5:24 PM, Barry Leiba <[email-masked]> wrote:
> 
> Even if IANA understands what you want and gets it perfect when they
> create the registry, there is value in having the specifics recorded
> in the IANA Considerations in the published RFC.  It's not hard to do,
> so let's just do it, yes?
> 
> Barry
> 
> On Wed, Jul 24, 2019 at 4:40 PM Adam Roach <[email-masked]> wrote:
>> 
>> On 7/24/19 16:23, Paul Kyzivat wrote:
>>> On 7/24/19 8:45 AM, Adam Roach wrote:
>>> 
>>>> Paul --
>>>> 
>>>> I see that there are some changes in -36 around this text ("IANA will
>>>> populate its registries with some or all of these values"). This
>>>> isn't really clear enough for IANA to know what to do. Could you
>>>> produce a new version that is explicit regarding which of these
>>>> collected fields are published? (e.g.: "IANA will populate its
>>>> registries with the parameter name, the parameter type, and the
>>>> document reference.")
>>> 
>>> I *can*. But is it necessary for these instructions to be included in
>>> the draft? ISTM that the structures IANA has now often differ from
>>> (probably inadequate) instructions in drafts. My impression is that
>>> iana has considerable discretion about how this stuff is structures in
>>> the registries. Could I just work with IANA on how to do it?
>>> 
>>> But if putting this into -37 is the best way then I am happy to do that.
>> 
>> 
>> Even if it's not the best -- and it might be -- it's certainly the fastest.
>> 
>> To be clear, I sent my email after conferring with Alissa, and it is my
>> impression that it would take more than a little convincing for her to
>> allow the current text in -36 to move forward, if it is indeed possible
>> at all.
>> 
>> /a
>>

---

From: Paul Kyzivat <[email-masked]>
Date: Fri, 9 Aug 2019 17:31:26 -0400

Alissa & Adam,

Regarding the specification of fields to be included in IANA registries:

I just submitted -37. It now is explicit about both what must be 
specified in the document and what of that is to be included in the 
registries.

	Thanks,
	Paul

On 7/24/19 8:45 AM, Adam Roach wrote:
> On 6/3/19 10:36, Paul Kyzivat wrote:
>> Alissa,
>>
>> On 5/28/19 3:35 PM, Alissa Cooper via Datatracker wrote:
>>
>>> ----------------------------------------------------------------------
>>> DISCUSS:
>>> ----------------------------------------------------------------------
>>>
>>> Section 8.2.8:
>>>
>>> "In the RFC specifications that register new values for SDP "media",
>>>     "proto", "fmt", "bwtype", "nettype", and "addrtype" parameters, the
>>>     authors MUST include the following information for IANA to place in
>>>     the appropriate registry:"
>>>
>>> It doesn't look like all the fields that are listed after this text 
>>> actually
>>> appear in the registries. For some of these I don't see why the 
>>> information
>>> would be put into the registries (e.g., contact name, contact email 
>>> address,
>>> since those appear in the RFCs themselves). I think this needs to be 
>>> clarified.
>>
>> OK. There are two things going on here: the information that must be 
>> provided when registering a new value, and then which of those items 
>> need to appear in the registry. The distinction isn't clear.
>>
>> For items where the registration requirements are less that "document 
>> required" the information must be in the registry since there is no 
>> place else for it to appear. But when a document is required then in 
>> principle the name of the item and a reference to the document is all 
>> that is *necessary* in the registry, and any additional information is 
>> for convenience of access.
>>
>> I've found that this distinction often isn't clearly made, especially 
>> in older stuff.
>>
>> I can look into this further for all the SDP registries. 
> 
> 
> Paul --
> 
> populate its registries with some or all of these values"). This isn't 
> really clear enough for IANA to know what to do. Could you produce a new 
> version that is explicit regarding which of these collected fields are 
> published? (e.g.: "IANA will populate its registries with the parameter 
> name, the parameter type, and the document reference.")
> 
> Thanks.
> 
> /a
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic